## org.codehaus.groovy.grails.orm.hibernate.events
Class PatchedDefaultFlushEventListener

    java.lang.Object
      org.hibernate.event.def.AbstractFlushingEventListener
          org.hibernate.event.def.DefaultFlushEventListener
              org.codehaus.groovy.grails.orm.hibernate.events.PatchedDefaultFlushEventListener

All Implemented Interfaces:
  Serializable, org.hibernate.event.FlushEventListener

    public class PatchedDefaultFlushEventListener

extends org.hibernate.event.def.DefaultFlushEventListener

Patches Hibernate to prevent this issue http://opensource.atlassian.com/projects/hibernate/browse/HHH-2763 TODO: Remove this patch when HHH-2763 is resolved

Since:
  1.2
Author:
  Graeme Rocher
See Also:
  Serialized Form

Constructor Summary
`PatchedDefaultFlushEventListener()`

Method Summary
`protected void` `performExecutions(org.hibernate.event.EventSource session)`

Methods inherited from class org.hibernate.event.def.DefaultFlushEventListener
`onFlush`

Methods inherited from class org.hibernate.event.def.AbstractFlushingEventListener
`flushEverythingToExecutions, getAnything, getCascadingAction, postFlush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PatchedDefaultFlushEventListener

    public PatchedDefaultFlushEventListener()

Method Detail

### performExecutions

    protected void performExecutions(org.hibernate.event.EventSource session)
                              throws org.hibernate.HibernateException

  Overrides:
    `performExecutions` in class `org.hibernate.event.def.AbstractFlushingEventListener`
  Throws:
    `org.hibernate.HibernateException`

Copyright (c) 2005-2009 The Grails project